Info<< "Reading field U\n" << endl;

volVectorField U
(
     IOobject
         (
	 "U",
         runTime.timeName(),
	 mesh,
         IOobject::MUST_READ,
	 IOobject::AUTO_WRITE
	  ),
	     mesh
	     );

Info<< "Reading field A\n" << endl;

volScalarField A
(
    IOobject
    (
        "A",
        runTime.timeName(),
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);

volScalarField AA
(
    IOobject
    (
        "AA",
        runTime.timeName(),
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);


Info<< "Reading transportProperties\n" << endl;

volScalarField alfa
(
     IOobject
         (
	   "alfa",
           runTime.timeName(),
           mesh,
	   IOobject::MUST_READ,
           IOobject::AUTO_WRITE		
	 ),
	     mesh
);

volScalarField gamma
(
     IOobject
         (
	   "gamma",
	   runTime.timeName(),
	   mesh,
	   IOobject::MUST_READ,
           IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField eta
(
     IOobject
         (
	    "eta",
	    runTime.timeName(),
	    mesh,
	    IOobject::MUST_READ,
	    IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField delta
(
     IOobject
         (
	     "delta",
	     runTime.timeName(),
	     mesh,
	     IOobject::MUST_READ,
	     IOobject::AUTO_WRITE
	 ),
	     mesh
);



#include "createPhi.H"

#include "createFvOptions.H"
